Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserPrivacySettingAllowFindingByPhoneNumber

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserPrivacySetting
it.tdlight.jni.TdApi.UserPrivacySettingAllowFindingByPhoneNumber

Enclosing class:
  TdApi

public static final class TdApi.UserPrivacySettingAllowFindingByPhoneNumber extends TdApi.UserPrivacySetting
A privacy setting for managing whether the user can be found by their phone number. Checked only if the phone number is not known to the other user. Can be set only to "Allow contacts" or "Allow all".

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`UserPrivacySettingAllowFindingByPhoneNumber()`
A privacy setting for managing whether the user can be found by their phone number.
`UserPrivacySettingAllowFindingByPhoneNumber(DataInput input)`
A privacy setting for managing whether the user can be found by their phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UserPrivacySettingAllowFindingByPhoneNumber

public UserPrivacySettingAllowFindingByPhoneNumber()
A privacy setting for managing whether the user can be found by their phone number. Checked only if the phone number is not known to the other user. Can be set only to "Allow contacts" or "Allow all".

### UserPrivacySettingAllowFindingByPhoneNumber

public UserPrivacySettingAllowFindingByPhoneNumber(DataInput input) throws IOException
A privacy setting for managing whether the user can be found by their phone number. Checked only if the phone number is not known to the other user. Can be set only to "Allow contacts" or "Allow all".

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`